package org.bitbucket.openisoj.exceptions;

public class FieldFormatException extends Exception
{

	/**
	 * 
	 */
	private static final long	serialVersionUID	= 1L;

	private int					_fieldNr;

	public FieldFormatException(int fieldNr, String message)
	{
		super("Field Number : " + fieldNr
				+ System.getProperty("line.separator") + message);
		_fieldNr = fieldNr;
	}

	public int getFieldNr()
	{
		return _fieldNr;
	}

	public void setFieldNr(int fieldNr)
	{
		_fieldNr = fieldNr;
	}

}
